MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023698Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-01-11 19:082014-11-12 09:51
Reporterabk 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023698: BRepBuilderAPI_Copy creates invalid copy
DescriptionClass BRepBuilderAPI_Copy copies degenerated edge but not it's representations.
Steps To ReproduceAt master version from 24.12.12 with message "Prepared branch for raising to master".

test boolean bcommon_2d A7
tcopy result r
lprops result
lprops r

An exception was caught 00553B4C : Standard_NullObject: BRepAdaptor_Curve::No ge
ometry
** Exception ** 00553B4C : Standard_NullObject: BRepAdaptor_Curve::No geometry

Shape r contains degenerated edge without representations.
Same edge contains representations in shape result.
TagsNo tags attached.
Test case numberbugs modalg_5 bug23698
Attached Files

- Relationships

-  Notes
(0031655)
abv (manager)
2014-09-12 12:28

I cannot reproduce this problem (in Release), and propose the bug can be closed if this is confirmed (possibly create a test case)
(0033339)
git (administrator)
2014-10-20 16:01

Branch CR23698 has been created by apn.

SHA-1: 5bc4e41e2278d170131319dc46539af6c193e2bf


Detailed log of new commits:

Author: apn
Date: Mon Oct 20 16:00:44 2014 +0400

    0023698: BRepBuilderAPI_Copy creates invalid copy
    
    Added test case bugs/modalg_5/bug23698
(0033340)
apn (administrator)
2014-10-20 16:02

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR23698 was created. It contains test case:
bugs modalg_5 bug23698 - OK
(0034284)
git (administrator)
2014-11-12 09:51

Branch CR23698 has been deleted by inv.

SHA-1: 5bc4e41e2278d170131319dc46539af6c193e2bf

- Related Changesets
occt: master e1cbc34c
Timestamp: 2014-10-20 12:00:44
Author: apn
Committer: bugmaster
Details ] Diff ]
0023698: BRepBuilderAPI_Copy creates invalid copy

Added test case bugs/modalg_5/bug23698
mod - tests/boolean/bcommon_2d/A7 Diff ] File ]
add - tests/bugs/modalg_5/bug23698 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-11 19:08 abk New Issue
2013-01-11 19:08 abk Assigned To => abk
2014-07-01 12:14 apv Test case number => boolean bcommon_2d A7
2014-09-12 12:28 abv Note Added: 0031655
2014-09-12 12:28 abv Assigned To abk => bugmaster
2014-09-12 12:28 abv Status new => feedback
2014-09-12 12:29 abv Target Version => 6.8.0
2014-09-12 15:19 bugmaster Assigned To bugmaster => mkv
2014-09-16 15:10 bugmaster Assigned To mkv => apv
2014-10-20 11:56 bugmaster Assigned To apv => apn
2014-10-20 16:01 git Note Added: 0033339
2014-10-20 16:02 apn Note Added: 0033340
2014-10-20 16:02 apn Test case number boolean bcommon_2d A7 => bugs modalg_5 bug23698
2014-10-20 16:02 apn Assigned To apn => bugmaster
2014-10-20 16:02 apn Status feedback => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master e1cbc34c
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:51 git Note Added: 0034284


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker